| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Enumerations
dockart.h File Reference

## Classes

class | wxAuiDockArt
| wxAuiDockArt is part of the wxAUI class framework. More...
class | wxAuiDefaultDockArt
| This is the default art provider for wxAuiManager. More...

## Enumerations

enum

wxAuiPaneDockArtSetting {
wxAUI_DOCKART_SASH_SIZE = 0,
wxAUI_DOCKART_CAPTION_SIZE = 1,
wxAUI_DOCKART_GRIPPER_SIZE = 2,
wxAUI_DOCKART_PANE_BORDER_SIZE = 3,
wxAUI_DOCKART_PANE_BUTTON_SIZE = 4,
wxAUI_DOCKART_BACKGROUND_COLOUR = 5,
wxAUI_DOCKART_SASH_COLOUR = 6,
wxAUI_DOCKART_ACTIVE_CAPTION_COLOUR = 7,
wxAUI_DOCKART_ACTIVE_CAPTION_GRADIENT_COLOUR = 8,
wxAUI_DOCKART_INACTIVE_CAPTION_COLOUR = 9,
wxAUI_DOCKART_INACTIVE_CAPTION_GRADIENT_COLOUR = 10,
wxAUI_DOCKART_ACTIVE_CAPTION_TEXT_COLOUR = 11,
wxAUI_DOCKART_INACTIVE_CAPTION_TEXT_COLOUR = 12,
wxAUI_DOCKART_BORDER_COLOUR = 13,
wxAUI_DOCKART_GRIPPER_COLOUR = 14,
wxAUI_DOCKART_CAPTION_FONT = 15,
wxAUI_DOCKART_GRADIENT_TYPE = 16
}

| These are the possible pane dock art settings for wxAuiDefaultDockArt. More...
enum | wxAuiPaneDockArtGradients { wxAUI_GRADIENT_NONE = 0, wxAUI_GRADIENT_VERTICAL = 1, wxAUI_GRADIENT_HORIZONTAL = 2 }
| These are the possible gradient dock art settings for wxAuiDefaultDockArt. More...
enum | wxAuiPaneButtonState { wxAUI_BUTTON_STATE_NORMAL = 0, wxAUI_BUTTON_STATE_HOVER = 1 << 1, wxAUI_BUTTON_STATE_PRESSED = 1 << 2, wxAUI_BUTTON_STATE_DISABLED = 1 << 3, wxAUI_BUTTON_STATE_HIDDEN = 1 << 4, wxAUI_BUTTON_STATE_CHECKED = 1 << 5 }
| These are the possible pane button / wxAuiNotebook button / wxAuiToolBar button states. More...
enum | wxAuiButtonId { wxAUI_BUTTON_CLOSE = 101, wxAUI_BUTTON_MAXIMIZE_RESTORE = 102, wxAUI_BUTTON_MINIMIZE = 103, wxAUI_BUTTON_PIN = 104, wxAUI_BUTTON_OPTIONS = 105, wxAUI_BUTTON_WINDOWLIST = 106, wxAUI_BUTTON_LEFT = 107, wxAUI_BUTTON_RIGHT = 108, wxAUI_BUTTON_UP = 109, wxAUI_BUTTON_DOWN = 110, wxAUI_BUTTON_CUSTOM1 = 201, wxAUI_BUTTON_CUSTOM2 = 202, wxAUI_BUTTON_CUSTOM3 = 203 }
| These are the possible pane button / wxAuiNotebook button / wxAuiToolBar button identifiers. More...

## Enumeration Type Documentation

enum wxAuiButtonId

These are the possible pane button / wxAuiNotebook button / wxAuiToolBar button identifiers.

Enumerator
wxAUI_BUTTON_CLOSE | Shows a close button on the pane.
wxAUI_BUTTON_MAXIMIZE_RESTORE | Shows a maximize/restore button on the pane.
wxAUI_BUTTON_MINIMIZE | Shows a minimize button on the pane.
wxAUI_BUTTON_PIN | Shows a pin button on the pane.
wxAUI_BUTTON_OPTIONS | Shows an option button on the pane (not implemented)
wxAUI_BUTTON_WINDOWLIST | Shows a window list button on the pane (for wxAuiNotebook)
wxAUI_BUTTON_LEFT | Shows a left button on the pane (for wxAuiNotebook)
wxAUI_BUTTON_RIGHT | Shows a right button on the pane (for wxAuiNotebook)
wxAUI_BUTTON_UP | Shows an up button on the pane (not implemented)
wxAUI_BUTTON_DOWN | Shows a down button on the pane (not implemented)
wxAUI_BUTTON_CUSTOM1 | Shows one of three possible custom buttons on the pane (not implemented)
wxAUI_BUTTON_CUSTOM2 | Shows one of three possible custom buttons on the pane (not implemented)
wxAUI_BUTTON_CUSTOM3 | Shows one of three possible custom buttons on the pane (not implemented)

enum wxAuiPaneButtonState

These are the possible pane button / wxAuiNotebook button / wxAuiToolBar button states.

Enumerator
wxAUI_BUTTON_STATE_NORMAL | Normal button state.
wxAUI_BUTTON_STATE_HOVER | Hovered button state.
wxAUI_BUTTON_STATE_PRESSED | Pressed button state.
wxAUI_BUTTON_STATE_DISABLED | Disabled button state.
wxAUI_BUTTON_STATE_HIDDEN | Hidden button state.
wxAUI_BUTTON_STATE_CHECKED | Checked button state.

enum wxAuiPaneDockArtGradients

These are the possible gradient dock art settings for wxAuiDefaultDockArt.

Enumerator
wxAUI_GRADIENT_NONE | No gradient on the captions, in other words a solid colour.
wxAUI_GRADIENT_VERTICAL | Vertical gradient on the captions, in other words a gradal change in colours from top to bottom.
wxAUI_GRADIENT_HORIZONTAL | Horizontal gradient on the captions, in other words a gradual change in colours from left to right.